﻿$ErrorActionPreference = 'Stop';
$toolsPath = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  PackageName    = 'restic'
  FileFullPath   = "$toolsPath\restic_0.16.4_windows_386.zip"
  FileFullPath64 = "$toolsPath\restic_0.16.4_windows_amd64.zip"
  Destination    = $toolsPath
}

$srcFileName = "/restic_" + $env:ChocolateyPackageVersion
if ([Environment]::Is64BitOperatingSystem -and -not $env:chocolateyForceX86) {
    $srcFileName = $srcFileName + "_windows_amd64.exe"
} else {
    $srcFileName = $srcFileName + "_windows_386.exe"
}

Get-ChocolateyUnzip @packageArgs

$restic = ("$toolsPath" + "/restic.exe")

if (Test-Path $restic) {
  Remove-Item $restic
}

Rename-Item -Path ("$toolsPath" + "$srcFileName") -NewName "restic.exe"
